package com.jzlife.report.dao.kaocf;

import com.jzlife.report.dto.douyin.DouyinBoardLineVo;
import com.jzlife.report.dto.kaocf.*;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface KaocfMapper {

    //花王销售
    List<KaoSales> getKaoSales(@Param("startTime") String startTime,
                               @Param("endTime") String endTime,
                               @Param("channel") String channel);

    //花王履约
    List<KaoCom> getKaoCom(@Param("startTime") String startTime,
                           @Param("endTime") String endTime);


    HwMonthGmv getMonthGmvAndCount(@Param("startTime") String startTime,
                                 @Param("endTime") String endTime);


    HwMonthGmv getHxTkCount(@Param("startTime") String startTime,
                                   @Param("endTime") String endTime);

    HwMonthGmv getLyCount(@Param("startTime") String startTime,
                            @Param("endTime") String endTime);

    Integer getLyWcCount(@Param("startTime") String startTime,
                    @Param("endTime") String endTime);

    BigDecimal getMonthGmv(@Param("startTime") String startTime,
                           @Param("endTime") String endTime);


    HwMonthGmv getHpCount(@Param("startTime") String startTime,
                           @Param("endTime") String endTime);


    Integer getCpCount(@Param("startTime") String startTime,
                          @Param("endTime") String endTime);


    List<DouyinBoardLineVo> getLineData(HwLineDataQueryDto hwLineDataQueryDto);


    List<CityServiceQualityDto>  getCityKs(HwLineDataQueryDto hwLineDataQueryDto);


    List<CityServiceQualityDto>  getCityHp(HwLineDataQueryDto hwLineDataQueryDto);


    List<CityServiceQualityDto>  getCityWcGds(HwLineDataQueryDto hwLineDataQueryDto);


    List<CityServiceQualityDto>  getCityHfbmy(HwLineDataQueryDto hwLineDataQueryDto);





}
