package com.jzlife.report.dto.douyin;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 看板曲线数据
 */
@Data
public class DouyinBoardLineVo {
    @Excel(name = "日期")
    private String date;
    @Excel(name = "销量")
    private Integer total;//订单量
    @Excel(name = "退单量")
    private Integer refunds;//已退款
    @Excel(name = "已服务订单")
    private Integer serviced;//已服务
    @Excel(name = "未预约订单")
    private Integer unbooked;//未预约
    private Integer matching;//未预约
    @Excel(name = "GMV")
    private BigDecimal gmv;//gmv
    private BigDecimal dGmv;//直营gmv
    private BigDecimal iGmv;//直营gmv
    @Excel(name = "已服务GMV")
    private BigDecimal servicedGMV;//服务gmv

}
